#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	long long int n=0,a,bc,r;
	int s[1000];
	ifstream fi("DOINP.inp");
	ofstream fo("DOINP.out");
	fi>>a;
	cout<<a;
		bc=a;
		r=0;
		if(a<=1)
		{
			fo<<a;
		}
		else
		{
			for(int i=999;i>=0;i--)
			{
				r=bc%2;
				s[i]=r;
				bc=int(bc/2);
				if(bc==1)
				{
					n=n+1;
					break;
				}
				else
				{
					n=n+1;
				}
			}
			for(int t=n;t>=0;t--)
			{
				bc=a;
				r=bc%2;
				s[t]=r;
				bc=int(bc/2);
				fo<<s[t];
			}
		}
	fi.close();
	fo.close();
}
